.ordering {
  padding-top: 64px;
  min-height: 100vh;

  .container {
    height: calc(100vh - 64px);
  }

  .ordering-inner {
    height: 100%;
    display: flex;
    justify-content: space-between;

    .ordering-steps {
      height: 100%;
      padding-right: 64px;
      display: flex;
      flex-direction: column;

      .brand {
        width: max-content;
        display: inline-block;
        margin-bottom: 27px;
      }

      .ordering-crumbs {
        margin-bottom: 27px;
      }

      .form {
        width: 100%;

        .fields-block {
          width: 100%;
          margin-bottom: 32px;

          .fields-name {
            font-size: 18px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .form-field {
            .flex {
              display: flex;
              align-items: center;

              input {
                width: 16px;
                height: 16px;
                margin-right: 12px;
              }

              span {
                font-size: 14px;
                line-height: 19px;
              }
            }
            input {
              &.mb-12 {
                margin-bottom: 12px;
              }
            }
          }

          .fields-wrapper {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;

            label {
              display: inline-block;
            }

            .form-field {
              margin-bottom: 12px;
            }
          }
        }
      }

      .delivery {
        display: none;
        padding-top: 16px;
        border-top: 1px solid rgba(204, 204, 204, 0.3);
        margin-bottom: 24px;

        .delivery-info {
          margin-bottom: 32px;
          .info-item {
            display: flex;
            padding-bottom: 16px;
            margin-bottom: 16px;
            border-bottom: 1px solid rgba(204, 204, 204, 0.3);

            .name {
              min-width: 63px;
              font-size: 14px;
              line-height: 19px;
              color: #909090;
              margin-right: 16px;
            }

            .desc {
              font-size: 14px;
              line-height: 19px;
            }

            .link {
              margin-left: auto;
              font-size: 12px;
              line-height: 16px;
            }
          }
        }

        .delivery-type {
          .title {
            font-size: 18px;
            line-height: 149%;
            margin-bottom: 32px;
          }

          .type-item {
            display: flex;
            padding: 16px;

            .radio-container {
              height: 100%;
              display: flex;
              justify-content: center;
              align-items: center;
              margin-right: 16px;
            }

            .desc {
              .title {
                font-size: 14px;
                line-height: 19px;
                margin-bottom: 4px;
              }

              .subtitle {
                font-size: 12px;
                line-height: 16px;
                color: #909090;
                margin-bottom: 4px;
              }
              .type-date {
                font-size: 12px;
                line-height: 16px;
                color: #909090;
              }
            }

            .price {
              font-size: 14px;
              line-height: 19px;
              margin-left: auto;
            }
          }
        }

        .success-block {
          .title {
            font-size: 18px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .success-info {
            margin-bottom: 4px;
            .info-item {
              display: flex;
              margin-bottom: 12px;

              .name {
                min-width: 94px;
                margin-right: 16px;
                font-size: 14px;
                line-height: 19px;
              }

              .desc {
                font-size: 14px;
                line-height: 19px;
              }
            }
          }

          .mailed {
            font-size: 14px;
            line-height: 19px;
            color: #909090;
            margin-bottom: 24px;
          }
        }
      }

      .action-buttons {
        width: 100%;
        margin-top: 8px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .link {
          display: flex;
          align-items: center;
          svg {
            margin-right: 4px;
          }
        }
      }

      .ordering-footer {
        margin-top: auto;
        padding: 24px 0;
        border-top: 1px solid #efefef;

        .ordering-footer-nav {
          display: flex;
          justify-content: flex-start;

          li {
            margin-right: 32px;
            white-space: nowrap;
            font-size: 12px;
            line-height: 16px;

            &:last-of-type {
              margin-right: 0px;
            }
          }
        }
      }

      &.delivery {
        width: 640px;
        padding-right: 32px;

        .form {
          display: none;
        }

        .delivery {
          display: block;
        }
      }
    }

    .chosen-products {
      background: #fef8f5;
      padding-left: 48px;

      .products {
        padding-bottom: 32px;
        border-bottom: 1px solid #efefef;
        margin-bottom: 24px;

        .detail-item {
          .price {
            font-size: 16px;
            line-height: 149%;
            margin-left: auto;
          }

          &:last-of-type {
            margin-bottom: 0;
          }
        }
      }

      .promo-wrapper {
        display: flex;
        align-items: center;
        padding-bottom: 24px;
        border-bottom: 1px solid #efefef;
        margin-bottom: 27px;

        input {
          width: 314px;
          height: 48px;
          margin-right: 16px;
          border: 1px solid #dadada;
        }

        .black-button {
          padding-left: 16px;
          padding-right: 16px;
        }
      }

      .price-calc {
        width: 100%;

        .calc-info {
          width: 100%;
          display: flex;
          justify-content: space-between;
          align-items: center;
          margin-bottom: 10px;

          .name {
            font-size: 14px;
            line-height: 19px;
          }

          .price {
            font-size: 16px;
            line-height: 149%;
          }

          &.second {
            padding-bottom: 25px;
            border-bottom: 1px solid #efefef;
            margin-bottom: 24px;

            .price {
              font-size: 12px;
              line-height: 16px;
            }
          }

          &.result {
            .name {
              font-size: 16px;
              line-height: 149%;
            }

            .price {
              font-size: 24px;
              line-height: 149%;
            }
          }
        }
      }
    }
  }
}
